&emsp;&emsp;从4.3.0版本开始，编程题全面支持中文。 但一定要注意源文件的编码必须是UTF-8。
除了源文件必须是UTF-8编码，对于Java和Python语言，一定要注意： 

- Java语言 ： 由于Java默认并不是使用平台默认编码输出，所以输入和输出必须转换为UTF-8编码，例如：  

```
Scanner sc = new Scanner(System.in,"UTF-8");
```

```
PrintStream out = new PrintStream(System.out, true, "UTF-8");  
out.println("中文");
```
- Python语言 ： 由于在Linux平台上，默认并不是按照UTF-8编码输出，提交代码之后会出现类似“UnicodeEncodeError: 'ascii' codec can't encode character… ”的错误，所以输入与输出必须转换为UTF-8编码，例如：  
```
import io
import sys
sys.stdout = io.TextIOWrapper(sys.stdout.buffer,encoding='utf-8')
sys.stdin = io.TextIOWrapper(sys.stdin.buffer,encoding='utf-8')
```
&emsp;&emsp;Python编程题-中文输入输出样例题目，如下所示。（下载先将题目压缩的rar文件解压成.tiku文件，然后再导入题库参考）
[Python编程题-中文输入输出样例.rar](http://wiki.educg.net:8888/lib/exe/fetch.php?media=python%E7%BC%96%E7%A8%8B%E9%A2%98-%E4%B8%AD%E6%96%87%E8%BE%93%E5%85%A5%E8%BE%93%E5%87%BA%E6%A0%B7%E4%BE%8B.rar)
使用中文作为测试数据，有可能引入全角字符和其它很多特殊字符，对于学生查错，会带来很多的麻烦，除非任课教师非常了解编码问题，否则不建议使用中文作为测试数据。