&emsp;&emsp;建议开展正式考试前，进行一次模拟考试或者不太重要的小测验，熟悉考试的相关功能。
考试设置的注意事项与帮助：
- “启用内网IP监控”。IP地址是监考能否有效开展的基础，但是，如果机房内的机器通过NAT方式访问CG服务器，那么CG平台就无法监控的学生的真实IP地址，您可以不用理解NAT，后面会有详细的解释。您只需要在考试所在的机房内访问CG系统，按照下图所示，编辑任意一场考试，点“点击此处自动检测”，就会告知是否需要勾选“启用内网IP监控”。注意：内网监控仅在NAT网络下才需要勾选。  
![内网IP监控](https://images.gitee.com/uploads/images/2020/0204/103453_2c224e79_5656914.png "exam.png")
- 试卷分发策略。可以从试卷库内选择任意多套试卷，支持按照“IP地址”或者“学号”分发试卷。特别注意，如果选择按照IP地址分发试卷，而且机房以NAT联网方式访问CG服务器，务必勾选“启用内网IP监控”。
- 评判结果。编程题的评判信息也可以定制，可以只显示编译信息，不告诉对与错。
- 考试辅助功能：
  - “显示服务器时间”考试时间以服务器时间为准；
  - “显示提前交卷按钮”学生提前交卷，点击该按钮后，无法再进入考试栏目，若出现特殊情况，允许学生再次进入考试，教师在“考试概览→在线监考”解锁即可；
  - “考试临近结束前X分钟提醒”，勾选此选项，临近考试结束，学生的答题页面的显著位置会显示当前的时间（以服务器时间为准）。
- 考试IP绑定。学生一旦进入考试之后，该账号就与当前客户机绑定。如果客户机出故障，需要更换，教师在“考试概览→在线监考”解除绑定即可。
- IP地址过滤。可以限定只允许哪些IP地址访问考试，地址范围使用正则表达式表示。设置之后，本场考试的学生使用范围之外的IP地址 或 非本场考试的学生账号使用范围之内的IP地址 会禁止登录系统。使用IP地址过滤是为了防止：
  - 学生不到现场，在其它场所进入考试，或者考场外其他人替考；
  - 使用非本场考试的学生账号，进入别的课程交换答案或者存放参考资料。
- 考试期间可以关闭栏目，禁止学生下载资料或者在答疑论坛内交流。
- 互联网访问限制。一般机房的路由都是可以限定访问的IP，或者用机房管理软件，考试期间设置只能访问CG服务器的IP，这样机房的机器就无法访问互联网。详情见下一条“考试期间如何禁止访问互联网”
**在线监考。**考试开始以后，请打开在线监考。在线监考的内容包括：
  - 学生是否交换账号登录。如果试图交换账号登录，系统会报警。如果加了IP地址绑定，学生进入考试会被强制下线。【发现部分老师受其他系统的影响，习惯创建随机账号来防止交换账号登录，非常不建议采用这方式，账号随意切换，会影响学生数据的沉淀。】
  - IP绑定情况与解除。
  - 提前交卷的学生列表。
  - 非法IP登录报警。
  - 设置IP地址过滤之后，被禁止登录的列表，可以手动放行。

**有关内网监控：**
  - NAT网络是目前较为常见的网络方式，目前多数高校机房都是配置局域网IP，然后通过1~2个校园网IP访问校园网和互联网。
  - 由于浏览器的安全设置问题，获取NAT内网的IP地址相当困难，我们使用WebRTC间接获取本地IP，如果第一次开展考试，考试前注意到机房测试一下，浏览器版本是否支持内网IP地址获取。
  - 风险提醒：如果是学生自带笔记本考试，学生机可能做了安全设定，禁止浏览器获取内网IP地址，此时只能放弃使用内网监控功能。

Chrome新版本（≥75）不支持内网IP地址获取的解决办法：
  - Chrome75以上的版本默认关闭了IP地址获取的功能，如果使用Chrome浏览器考试，需要做给简单的设置，开启方法：
    - 在浏览器地址内键入chrome:/ /flags
    - 找到配置项：“Anonymize local IPs exposed by WebRTC”，并置为“Disabled”，然后关闭浏览器，再打开即可。